X
Tap here to go to the mobile version of the site.

Support Forum

Error code: sec_error_untrusted_issuer but 'This site provides valid, verified identification.'

Posted

I cannot access GMail because I get the 'This Connection is Untrusted' page.

The Technical Details are:

mail.google.com uses an invalid security certificate. The certificate is not trusted because the issuer certificate is not trusted. (Error code: sec_error_untrusted_issuer)

If I click 'Add Exception', in Certificate Status, it says, 'This site provides valid, verified identification. There is no need to add an exception.'

My machine is on a corporate site, behind a firewall and proxy server. The proxy server substitutes the certificate so although it's called mail.google.com, it's issued by our internal CA. I've added the internal CA certificate to the Authorities list (by importing it to Servers and then selecting 'Trust the authenticity of this certificate').

I cannot access GMail because I get the 'This Connection is Untrusted' page. The Technical Details are: mail.google.com uses an invalid security certificate. The certificate is not trusted because the issuer certificate is not trusted. (Error code: sec_error_untrusted_issuer) If I click 'Add Exception', in Certificate Status, it says, 'This site provides valid, verified identification. There is no need to add an exception.' My machine is on a corporate site, behind a firewall and proxy server. The proxy server substitutes the certificate so although it's called mail.google.com, it's issued by our internal CA. I've added the internal CA certificate to the Authorities list (by importing it to Servers and then selecting 'Trust the authenticity of this certificate').

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.8 r800
  • Google Update
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  • 5.1.20513.0
  • The plugin allows you to have a better experience with Microsoft Lync
  • The plugin allows you to have a better experience with Microsoft SharePoint
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.3
  • VMware Remote Console and Client Integration Plug-in
  • Intel web components updater - Installs and updates the Intel web components
  • Intel web components for Intel® Identity Protection Technology

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0

More Information

{"libraryVersions": {"NSSSMIME": {"minVersion": "3.14.3.0 Basic ECC", "version": "3.14.3.0 Basic ECC"}, "NSSUTIL": {"minVersion": "3.14.3.0", "version": "3.14.3.0"}, "NSS": {"minVersion": "3.14.3.0 Basic ECC", "version": "3.14.3.0 Basic ECC"}, "NSSSSL": {"minVersion": "3.14.3.0 Basic ECC", "version": "3.14.3.0 Basic ECC"}, "NSPR": {"minVersion": "4.9.5", "version": "4.9.5"}}, "javaScript": {"incrementalGCEnabled": true}, "accessibility": {"forceDisabled": 0, "isActive": false}, "application": {"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0", "supportURL": "http://support.mozilla.org/1/firefox/17.0.8/WINNT/en-GB/", "version": "17.0.8", "name": "Firefox"}, "modifiedPreferences": {"security.warn_viewing_mixed": false, "browser.places.smartBookmarksVersion": 4, "network.cookie.prefsMigrated": true, "browser.cache.disk.capacity": 358400, "browser.startup.homepage_override.buildID": "20130805152501", "browser.cache.disk.smart_size.first_run": false, "accessibility.typeaheadfind.flashBar": 0, "security.disable_button.openCertManager": false, "browser.startup.homepage_override.mstone": "17.0.8", "places.history.expiration.transient_current_max_pages": 99400, "extensions.lastAppVersion": "17.0.8", "browser.cache.disk.smart_size_cached_value": 358400, "gfx.direct3d.prefer_10_1": true, "browser.cache.disk.smart_size.use_old_max": false, "places.database.lastMaintenance": 1378053614, "privacy.donottrackheader.enabled": true, "privacy.sanitize.migrateFx3Prefs": true, "places.history.expiration.transient_optimal_database_size": 167772160, "font.internaluseonly.changed": true}, "extensions": [{"version": "1.61", "name": "Bookmarks menu", "isActive": true, "id": "bookmarks-menu@dio.gr"}, {"version": "5.7", "name": "Evernote Web Clipper", "isActive": true, "id": "{E0B8C461-F8FB-49b4-8373-FE32E9252800}"}, {"version": "2.4.4.5", "name": "FiddlerHook", "isActive": true, "id": "fiddlerhook@fiddler2.com"}, {"version": "IDS_SS_VERSION", "name": "IDS_SS_NAME", "isActive": true, "id": "{D19CA586-DD6C-4a0a-96F8-14644F340D60}"}, {"version": "1.1a", "name": "Troubleshooter", "isActive": true, "id": "troubleshooter@mozilla.org"}], "graphics": "Troubleshoot data provider failed: graphics\nTypeError: ext is null", "userJS": {"exists": false}}

kobe 441 solutions 5048 answers

Make sure you have SSL and TLS on, they are in the advanced options menu.

ARTICLES TO READ.

AND

Make sure you have SSL and TLS on, they are in the advanced options menu. ARTICLES TO READ. * [[Enable SSL to fix the Firefox cannot connect securely error message]] AND * [["This Connection is Untrusted" error message appears - What to do]]
cor-el
  • Top 10 Contributor
  • Moderator
17465 solutions 157833 answers

Try to remove that CA certificate and re-import it once again.

You can also try to delete or rename the cert8.db file before importing this proxy CA certificate.

Did you place a tick in all trust bits (Edit)?

Try to remove that CA certificate and re-import it once again. You can also try to delete or rename the cert8.db file before importing this proxy CA certificate. Did you place a tick in all trust bits (Edit)?